# `versioning`

The versioning module is accessible via the `sqlobject` module.

## Attributes

#### a `sqlhub`

    <sqlobject.dbconnection.ConnectionHub object at 0xa6e0eec>

#### a `func`

    <sqlobject.sqlbuilder.ConstantSpace instance at 0xa647e2c>

#### a `const`

    <sqlobject.sqlbuilder.ConstantSpace instance at 0xa647e2c>

#### a `default_datetime_implementation`

    'datetime'

#### a `DATETIME_IMPLEMENTATION`

    'datetime'

#### a `mxdatetime_available`

    True

#### a `MXDATETIME_IMPLEMENTATION`

    'mxDateTime'

#### a `datetime_available`

    True

#### a `version`

    '2.1.0'

#### a `__package__`

    'sqlobject.versioning'

#### a `version_info`

    (2, 1, 0, 'final', 0)

## Functions

#### f `getColumns(columns, cls)` ...

## Classes

#### C `Version(...)` ...

This class contains 21 members.

#### C `Versioning(...)` ...

This class contains 9 members.

See the source for more information.